﻿<!DOCTYPE html>
<html ng-app="VitaaminProject">
<head>
    <title>cqv</title>
    <base href="/">
    <meta name="fragment" content="!">
    <meta charset="utf-8">


    <script src="JSLibs/jquery-2.1.3.min.js" type="text/javascript"></script>
    <script src="JSLibs/jquery-ui-1.11.4.min.js" type="text/javascript"></script>
    <script src="UILibs/BootstrapMaterial/material.min.js" type="text/javascript"></script>
    <script src="JSLibs/angular.min.js"></script>
    <script src="JSLibs/angular-animate.min.js"></script>
    <script src="JSLibs/angular-route.min.js"></script>
    <script src="JSLibs/angular-aria.min.js"></script>
    <script src="JSLibs/angular-sanitize.min.js"></script>
    <script src="JSLibs/hammer.min.js"></script>
    <script src="JSLibs/moment.js"></script>
    <script src="JSLibs/moment-jalaali.js"></script>
    <script src="JSLibs/angular-md5.min.js"></script>
    <script src="JSLibs/jquery.mobile.custom.min.js"></script>

    <script src="UILibs/BootstrapMaterial/bootstrap.min.js" type="text/javascript"></script>
    <script src="UILibs/BootstrapMaterial/ripples.min.js" type="text/javascript"></script>
    <script src="UILibs/BootstrapMaterial/ui-bootstrap-tpls.min.js" type="text/javascript"></script>

    <link rel="stylesheet" href="UILibs/BootstrapMaterial/bootstrap.css" />
    <link rel="stylesheet" href="UILibs/BootstrapMaterial/material-fullpalette.css" />
    <link rel="stylesheet" href="UILibs/BootstrapMaterial/ripples.min.css" />

    <script src="JSLibs/angular-material-icons.min.js?v6.3"></script>
    <script src="JSLibs/jquery.twbsPagination.js?v3"></script>
    <script src="Config.js?v4.8.6"></script>

    <link rel="stylesheet" href="Css/style.css?v8.1.10" />

</head>
<body ng-class="leftSide" ng-style="{'overflow-y': bodyOverflow}">

    <div class=" header bg-info">
        <div class="logoArea">
            <a href="/">
                <ng-md-icon icon="home" size="28" class="personIcon"></ng-md-icon>

            </a>
        </div>
        <div class="menuArea inlineStyle">
                <a href="{{menu.url}}" ng-repeat="menu in menuElements">
                <div class="menuItems inlineStyle" ng-class="pageName == menu.menuName ? 'activeMenu' : ''">
                    <span ng-bind="menu.title"></span>
                    <div class="activeMenuLine" ng-if="pageName == menu.menuName">
                        <div></div>
                    </div>
                </div>
            </a>
        </div>
        <div class="responsiveMenu">
            <div class="compressedMenu">
                <div class="parentMenuIcon" ng-click="childMenuBoxClicked()">
                    <ng-md-icon icon="menu" size="38" ng-show="!compressedMenuClicked"></ng-md-icon>
                    <ng-md-icon icon="arrow_left_thick" size="30" ng-show="compressedMenuClicked" class="closeArrow"></ng-md-icon>
                </div>
            </div>
            <div class="childMenu" ng-style="{'height': childMenuBoxHeight}" ng-class="childMenuBoxWidth" ng-show="disappearWithDelay">
                <div class="childMenuBoxInsider" ng-style="{'position': childMenuBoxInsiderPosition}">
                    <div>


                    </div>
                </div>
            </div>
        </div>
        <div class="userActionsArea">
            <div class="accountTxt">


                <div class="notLogin" ng-if="localStorageName == 'null' || localStorageName == null">
                    <a href="javascript:void(0)" ng-click="showModalSignInUp('signin'); getPreUrl()"><span>login</span></a>
                    <span>/</span>
                    <a href="javascript:void(0)" ng-click="showModalSignInUp('signup'); getPreUrl()"><span>signup</span></a>
                </div>
                <ng-md-icon icon="logout" size="20" class="logoutIcon" ng-click="logout()" ng-if="localStorageName != 'null' || localStorageName != null" ng-hide="localStorageName == 'null' || localStorageName == null"></ng-md-icon>
                    <div class="loginName" ng-if="localStorageName != 'null' || localStorageName == '0'  || localStorageName != null" ng-hide="localStorageName == 'null' || localStorageName == null">
                        <ng-md-icon icon="person" size="28" class="personIcon"></ng-md-icon>
                        <span ng-bind="localStorageName"></span>
                    </div>
                </a>
            </div>
        </div>
    </div>

    <div class="mainLayout" ng-style="{'min-height': mainLayoutMinHeight}">
        <div ng-view></div>
    </div>



    <div class="footer">
                <span>CQV</span>
    </div>

    <div ng-click="topFunction()" id="scrollTopBtn" ng-show="scrollTopBtn">
        <ng-md-icon icon="circle_up" size="32"></ng-md-icon>
    </div>

    <div class="signInUpArea" ng-style="{'display':modalSignInUpDisplay}">
        <div class="modalArea" ng-show="modalSignInUp" ng-class="modalEffectSignInUp" ng-style="{'top':topPositionSignInUp}">
            <div class="modalPageContent">
                <button type="button" class="closeX" ng-click="closeModalSignInUp();onclose()"><span>×</span></button>
                <!--<div class="modalPageHeader">
                    <img src="/Images/vitaminLogo.png" />
                </div>-->

                <div class="modalPageBody">
                    <div class="signUpInBox form-group-material-deep-orange-500">
                        <!-- <img src="/Images/vitaminLogo.png" /> -->
                        <div class="signUpInHeader">
                            <label ng-bind="signUpInTopDesc"></label>
                        </div>
                        <div class="elementHolder txtWelcomeArea" ng-if="txtWelcomeArea">
                            <!--<div class="elementHolder txtWelcomeArea">-->
                            <label>Succesfully signed up.</label>
                            <br />
                            <button class="btn btn-material-deep-orange-500" ng-click="closeModalSignInUp();onclose()">welcome</button>
                        </div>
                        <div class="elementHolder inputsArea" ng-if="inputsArea">
                            <div class="inputFields">
                                <div class="field form-group" ng-show="signupModalType">
                                    <input type="text" class="form-control" ng-model="user.firstTxt" placeholder="firstname" dir="auto">
                                </div>
                                <div class="field form-group" ng-show="signupModalType">
                                    <input type="text" class="form-control" ng-model="user.lastTxt" placeholder="lastname" dir="auto">
                                </div>
                                <div class="field form-group" ng-keypress="pressLogin($event)">
                                    <input type="text" class="form-control dir-left" ng-model="user.emailTxt" placeholder="username" dir="ltr">
                                </div>
                                <div class="field form-group" ng-if="!forgotPassFlag" ng-keypress="pressLogin($event)">
                                    <input type="password" class="form-control dir-left" ng-model="user.passTxt" placeholder="password" dir="ltr">
                                </div>
                            </div>

                            <button class="btn btn-material-deep-orange-500 signUpInBtn" ng-click="register()" ng-show="signupModalType">signup</button>
                            <button class="btn btn-material-deep-orange-500 signUpInBtn" ng-click="login()" ng-show="signinModalType">{{loginTxt}}</button>

                            <div class="gotoSignin" ng-show="signupModalType">
                                <span class="siginPageLink"><a href="javascript:void(0)" ng-click="checkModalType('signin')">signin</a></span>
                            </div>

                            <div class="gotoSignin" ng-show="signinModalType">
                                <span class="siginPageLink"><a href="javascript:void(0)" ng-click="checkModalType('signup')">signup</a></span>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>

    <div class="siteAlert col-sm-4" ng-show="siteAlertDisplay" ng-style="{'top':topAlert}">
        <div class="alert alert-dismissable" ng-class="alertClass">
            <button type="button" class="close" ng-click="closeAlert()">
                <ng-md-icon icon="close" size="28"></ng-md-icon>
            </button>
        </div>
    </div>


    <div class="clear"></div>
    <div id="modalBG" ng-style="{'height':modalBGHeight +'px'}" ng-show="modalBGShow"></div>

    <div class="clear"></div>
    <script src="ClientModule/Module.js?v8.1.14"></script>
    <script src="ClientModule/RunModule.js?v8.1.4"></script>
    <script src="ClientModule/Factory.js?v8"></script>
    <script src="ClientModule/lecture_controller.js"></script>
    <script src="ClientModule/question_controller.js"></script>
</body>
</html>
